import useEngineContext from "../../../hooks/useEngineContext.js";
//#region src/plus/saasDevice/devicePlanning/hooks.ts
const useTranslation = () => {
	var _context$appHelper;
	const context = useEngineContext();
	return (context === null || context === void 0 || (_context$appHelper = context.appHelper) === null || _context$appHelper === void 0 || (_context$appHelper = _context$appHelper.utils) === null || _context$appHelper === void 0 ? void 0 : _context$appHelper.translation) || ((val) => {
		if (typeof val === "string") return val;
		return (val === null || val === void 0 ? void 0 : val.original) || (val === null || val === void 0 ? void 0 : val.en) || "";
	});
};
//#endregion
export { useTranslation };
